## GntLabel GntLabel — A widget that displays text |

## Functions

GType | gnt_label_get_gtype ()
GntWidget * | gnt_label_new ()
GntWidget * | gnt_label_new_with_format ()
void | gnt_label_set_text ()

## Types and Values

struct | GntLabel

## Description

## Functions

### gnt_label_get_gtype ()

    GType
    gnt_label_get_gtype (void);

#### Returns

GType for GntLabel.

### gnt_label_new ()

    GntWidget *
    gnt_label_new (const char *text);

Create a new GntLabel.

#### Parameters

text | The text of the label. |

#### Returns

The newly created label.

### gnt_label_new_with_format ()

    GntWidget *
    gnt_label_new_with_format (const char *text,
                               GntTextFormatFlags flags);

Create a new label with specified text attributes.

#### Parameters

text | The text. |
flags | Text attributes for the text. |

#### Returns

The newly created label.

### gnt_label_set_text ()

    void
    gnt_label_set_text (GntLabel *label,
                        const char *text);

Change the text of a label.

#### Parameters

label | The label. |
text | The new text to set in the label. |

## Types and Values

### struct GntLabel

    struct GntLabel {
    	GntWidget parent;

    	char *GNTSEAL(text);
    	GntTextFormatFlags GNTSEAL(flags);
    };

Access to any fields is deprecated. See inline comments for replacements.